summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoraaron2008-04-06 01:17:02 +0000
committeraaron2008-04-06 01:17:02 +0000
commita18d426c0663a66d2e9f92bd98eae538f4950862 (patch)
tree899c6b4809213ffd11d3b92c60dc64caaa53618e
downloadaur-a18d426c0663a66d2e9f92bd98eae538f4950862.tar.gz
Initial import of all packages
git-svn-id: file:///srv/repos/svn-packages/svn@1 eb2447ed-0c53-47e4-bac8-5bc4a241df78
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD22
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ff1dffe3247
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Mon Sep 26 04:26:48 UTC 2016
+pkgbase = jasper
+ pkgdesc = a software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard
+ pkgver = 1.900.1
+ pkgrel = 1
+ url = http://www.ece.uvic.ca/~mdadams/jasper/
+ arch = i686
+ arch = x86_64
+ makedepends = unzip
+ depends = libjpeg
+ depends = glut
+ depends = libxi
+ depends = libxmu
+ depends = mesa
+ source = http://www.ece.uvic.ca/~mdadams/jasper/software/jasper-1.900.1.zip
+
+pkgname = jasper
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d8cc2a8e772
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD,v 1.7 2007/04/22 08:30:24 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=jasper
+pkgver=1.900.1
+pkgrel=1
+pkgdesc="a software-based implementation of the codec specified in the emerging JPEG-2000 Part-1 standard"
+arch=(i686 x86_64)
+url="http://www.ece.uvic.ca/~mdadams/jasper/"
+source=(http://www.ece.uvic.ca/~mdadams/$pkgname/software/$pkgname-$pkgver.zip)
+makedepends=('unzip')
+depends=('libjpeg' 'glut' 'libxi' 'libxmu' 'mesa')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr --enable-shared
+ make || return 1
+ make DESTDIR=$startdir/pkg install || return 1
+
+# libtoolslay
+find $startdir/pkg -name '*.la' -exec rm {} \;
+}